/* 
 * Copyright (c) 2003 Jean-Yves Lefort <jylefort@brutele.be>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome.h>
#include "glade-interface.h"

#include "mn-check.h"
#include "mn-dialog.h"
#include "mn-preferences.h"

void
preferences_toggled (GtkToggleButton *togglebutton, gpointer user_data)
{
  mn_preferences_update_sensitivity();
}

void
preferences_add_local_clicked (GtkButton *button,
			       gpointer user_data)
{
  mn_preferences_add_local_mailbox();
}

void
preferences_add_remote_clicked (GtkButton *button,
				gpointer user_data)
{
  mn_preferences_add_remote_mailbox();
}

void
preferences_remove_clicked (GtkButton *button,
			    gpointer user_data)
{
  mn_preferences_remove_mailbox();
}

void
check_for_mail_activate (GtkMenuItem *menuitem,
			 gpointer user_data)
{
  mn_check(MN_CHECK_INTERACTIVE);			/* local mail */
  mn_check(MN_CHECK_INTERACTIVE | MN_CHECK_REMOTE);	/* remote mail */
}

void
preferences_activate (GtkMenuItem *menuitem,
		      gpointer user_data)
{
  mn_preferences_display();
}

void
about_activate (GtkMenuItem *menuitem,
		gpointer user_data)
{
  static GtkWidget *about = NULL;

  if (about)
    {
      gtk_window_present(GTK_WINDOW(about));
      return;
    }

  about = create_about();
  mn_dialog_show(GTK_DIALOG(about), &about);
}

void
quit_activate (GtkMenuItem     *menuitem,
	       gpointer         user_data)
{
  gtk_main_quit();
}
